PR_SET_FPEMU(2const)

NAME
PR_SET_FPEMU - set floating-point emulation control bits

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_FPEMU, long fpemu);

DESCRIPTION
Set floating-point emulation control bits to fpemu. Pass PR_FPEMU_NOPRINT to silently emulate floating-point operation accesses, or PR_FPEMU_SIGFPE to not emulate floating-point operations and send SIGFPE instead.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    fpemu is not a valid value.

STANDARDS
Linux. ia64 only.

HISTORY
Linux 2.4.18, 2.5.9. (ia64)

SEE ALSO
prctl(2), PR_GET_FPEMU(2const)